package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class AssociatedSystemIOConfiguration {
    private String schemaVersion;
    private Metadata metadata;
    private String availableWWPNs;
    private HostEthernetAdapters hostEthernetAdapters;
    private IOAdapters ioAdapters;
    private IOBuses ioBuses;
    private IOSlots ioSlots;
    private AssociatedSystemVirtualNetwork associatedSystemVirtualNetwork;
    private String WWPNPrefix;

    public AssociatedSystemIOConfiguration() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getAvailableWWPNs() {
        return availableWWPNs;
    }

    public void setAvailableWWPNs(String availableWWPNs) {
        this.availableWWPNs = availableWWPNs;
    }

    public HostEthernetAdapters getHostEthernetAdapters() {
        return hostEthernetAdapters;
    }

    public void setHostEthernetAdapters(HostEthernetAdapters hostEthernetAdapters) {
        this.hostEthernetAdapters = hostEthernetAdapters;
    }

    public IOAdapters getIoAdapters() {
        return ioAdapters;
    }

    public void setIoAdapters(IOAdapters ioAdapters) {
        this.ioAdapters = ioAdapters;
    }

    public IOBuses getIoBuses() {
        return ioBuses;
    }

    public void setIoBuses(IOBuses ioBuses) {
        this.ioBuses = ioBuses;
    }

    public IOSlots getIoSlots() {
        return ioSlots;
    }

    public void setIoSlots(IOSlots ioSlots) {
        this.ioSlots = ioSlots;
    }

    public AssociatedSystemVirtualNetwork getAssociatedSystemVirtualNetwork() {
        return associatedSystemVirtualNetwork;
    }

    public void setAssociatedSystemVirtualNetwork(AssociatedSystemVirtualNetwork associatedSystemVirtualNetwork) {
        this.associatedSystemVirtualNetwork = associatedSystemVirtualNetwork;
    }

    public String getWWPNPrefix() {
        return WWPNPrefix;
    }

    public void setWWPNPrefix(String wWPNPrefix) {
        WWPNPrefix = wWPNPrefix;
    }
}
